Package org.apache.ignite.spi.systemview.view

## Class NodeMetricsView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.NodeMetricsView

-     public class NodeMetricsView
      extends Object

  Node metrics representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeMetricsView​(ClusterNode node)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `avgActiveJobs()` |
    `float` | `avgCanceledJobs()` |
    `double` | `avgCpuLoad()` |
    `long` | `avgJobsExecuteTime()` |
    `long` | `avgJobsWaitTime()` |
    `float` | `avgRejectedJobs()` |
    `float` | `avgWaitingJobs()` |
    `float` | `busyTimePercentage()` |
    `int` | `curActiveJobs()` |
    `int` | `curCanceledJobs()` |
    `double` | `curCpuLoad()` |
    `int` | `curDaemonThreadCount()` |
    `double` | `curGcCpuLoad()` |
    `long` | `curIdleTime()` |
    `long` | `curJobsExecuteTime()` |
    `long` | `curJobsWaitTime()` |
    `int` | `curRejectedJobs()` |
    `int` | `curThreadCount()` |
    `int` | `curWaitingJobs()` |
    `long` | `heapMemoryCommited()` |
    `long` | `heapMemoryInit()` |
    `long` | `heapMemoryMax()` |
    `long` | `heapMemoryTotal()` |
    `long` | `heapMemoryUsed()` |
    `float` | `idleTimePercentage()` |
    `Date` | `jvmStartTime()` |
    `long` | `lastDataVersion()` |
    `Date` | `lastUpdateTime()` |
    `int` | `maxActiveJobs()` |
    `int` | `maxCanceledJobs()` |
    `long` | `maxJobsExecuteTime()` |
    `long` | `maxJobsWaitTime()` |
    `int` | `maxRejectedJobs()` |
    `int` | `maxThreadCount()` |
    `int` | `maxWaitingJobs()` |
    `UUID` | `nodeId()` |
    `Date` | `nodeStartTime()` |
    `long` | `nonheapMemoryCommited()` |
    `long` | `nonheapMemoryInit()` |
    `long` | `nonheapMemoryMax()` |
    `long` | `nonheapMemoryTotal()` |
    `long` | `nonheapMemoryUsed()` |
    `int` | `outboundMessagesQueue()` |
    `long` | `receivedBytesCount()` |
    `int` | `receivedMessagesCount()` |
    `long` | `sentBytesCount()` |
    `int` | `sentMessagesCount()` |
    `long` | `totalBusyTime()` |
    `int` | `totalCanceledJobs()` |
    `int` | `totalCpu()` |
    `int` | `totalExecutedJobs()` |
    `int` | `totalExecutedTasks()` |
    `long` | `totalIdleTime()` |
    `long` | `totalJobsExecuteTime()` |
    `int` | `totalRejectedJobs()` |
    `long` | `totalThreadCount()` |
    `long` | `uptime()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeMetricsView

          public NodeMetricsView​(ClusterNode node)

      Parameters:
        `node` - Cluster node.

  - ### Method Detail

    - #### nodeId

          public UUID nodeId()

      Returns:
        Node id.
      See Also:
        `ClusterNode.id()`

    - #### lastUpdateTime

          public Date lastUpdateTime()

      Returns:
        Metrics last update time.
      See Also:
        `ClusterMetrics.getLastUpdateTime()`

    - #### maxActiveJobs

          public int maxActiveJobs()

      Returns:
        Maximum active jobs count.
      See Also:
        `ClusterMetrics.getMaximumActiveJobs()`

    - #### curActiveJobs

          public int curActiveJobs()

      Returns:
        Current active jobs count.
      See Also:
        `ClusterMetrics.getCurrentActiveJobs()`

    - #### avgActiveJobs

          public float avgActiveJobs()

      Returns:
        Average active jobs count.
      See Also:
        `ClusterMetrics.getAverageActiveJobs()`

    - #### maxWaitingJobs

          public int maxWaitingJobs()

      Returns:
        Maximum waiting jobs count.
      See Also:
        `ClusterMetrics.getMaximumWaitingJobs()`

    - #### curWaitingJobs

          public int curWaitingJobs()

      Returns:
        Current waiting jobs count.
      See Also:
        `ClusterMetrics.getCurrentWaitingJobs()`

    - #### avgWaitingJobs

          public float avgWaitingJobs()

      Returns:
        Average waiting jobs count.
      See Also:
        `ClusterMetrics.getAverageWaitingJobs()`

    - #### maxRejectedJobs

          public int maxRejectedJobs()

      Returns:
        Maximum number of jobs rejected at once.
      See Also:
        `ClusterMetrics.getMaximumRejectedJobs()`

    - #### curRejectedJobs

          public int curRejectedJobs()

      Returns:
        Number of jobs rejected after more recent collision resolution operation.
      See Also:
        `ClusterMetrics.getCurrentRejectedJobs()`

    - #### avgRejectedJobs

          public float avgRejectedJobs()

      Returns:
        Average number of jobs this node rejects during collision resolution operations.
      See Also:
        `ClusterMetrics.getAverageRejectedJobs()`

    - #### totalRejectedJobs

          public int totalRejectedJobs()

      Returns:
        Total number of jobs this node rejects during collision resolution operations since node startup.
      See Also:
        `ClusterMetrics.getTotalRejectedJobs()`

    - #### maxCanceledJobs

          public int maxCanceledJobs()

      Returns:
        Maximum number of cancelled jobs.
      See Also:
        `ClusterMetrics.getMaximumCancelledJobs()`

    - #### curCanceledJobs

          public int curCanceledJobs()

      Returns:
        Number of cancelled jobs that are still running.
      See Also:
        `ClusterMetrics.getCurrentCancelledJobs()`

    - #### avgCanceledJobs

          public float avgCanceledJobs()

      Returns:
        Average number of cancelled jobs.
      See Also:
        `ClusterMetrics.getAverageCancelledJobs()`

    - #### totalCanceledJobs

          public int totalCanceledJobs()

      Returns:
        Total number of cancelled jobs since node startup.
      See Also:
        `ClusterMetrics.getTotalCancelledJobs()`

    - #### maxJobsWaitTime

          public long maxJobsWaitTime()

      Returns:
        Maximum jobs wait time.
      See Also:
        `ClusterMetrics.getMaximumJobWaitTime()`

    - #### curJobsWaitTime

          public long curJobsWaitTime()

      Returns:
        Current wait time of oldest job.
      See Also:
        `ClusterMetrics.getCurrentJobWaitTime()`

    - #### avgJobsWaitTime

          public long avgJobsWaitTime()

      Returns:
        Average jobs wait time.
      See Also:
        `ClusterMetrics.getAverageJobWaitTime()`

    - #### maxJobsExecuteTime

          public long maxJobsExecuteTime()

      Returns:
        Maximum jobs execute time.
      See Also:
        `ClusterMetrics.getMaximumJobExecuteTime()`

    - #### curJobsExecuteTime

          public long curJobsExecuteTime()

      Returns:
        Current jobs execute time.
      See Also:
        `ClusterMetrics.getCurrentJobExecuteTime()`

    - #### avgJobsExecuteTime

          public long avgJobsExecuteTime()

      Returns:
        Average jobs execute time.
      See Also:
        `ClusterMetrics.getAverageJobExecuteTime()`

    - #### totalJobsExecuteTime

          public long totalJobsExecuteTime()

      Returns:
        Total jobs execute time.
      See Also:
        `ClusterMetrics.getTotalJobsExecutionTime()`

    - #### totalExecutedJobs

          public int totalExecutedJobs()

      Returns:
        Total executed jobs.
      See Also:
        `ClusterMetrics.getTotalExecutedJobs()`

    - #### totalExecutedTasks

          public int totalExecutedTasks()

      Returns:
        Total executed tasks.
      See Also:
        `ClusterMetrics.getTotalExecutedTasks()`

    - #### totalBusyTime

          public long totalBusyTime()

      Returns:
        Total busy time.
      See Also:
        `ClusterMetrics.getTotalBusyTime()`

    - #### totalIdleTime

          public long totalIdleTime()

      Returns:
        Total idle time.
      See Also:
        `ClusterMetrics.getTotalIdleTime()`

    - #### curIdleTime

          public long curIdleTime()

      Returns:
        Current idle time.
      See Also:
        `ClusterMetrics.getCurrentIdleTime()`

    - #### busyTimePercentage

          public float busyTimePercentage()

      Returns:
        Busy time percentage.
      See Also:
        `ClusterMetrics.getBusyTimePercentage()`

    - #### idleTimePercentage

          public float idleTimePercentage()

      Returns:
        Idle time percentage.
      See Also:
        `ClusterMetrics.getIdleTimePercentage()`

    - #### totalCpu

          public int totalCpu()

      Returns:
        The number of processors available to the virtual machine.
      See Also:
        `ClusterMetrics.getTotalCpus()`

    - #### curCpuLoad

          public double curCpuLoad()

      Returns:
        The estimated CPU usage in `[0, 1]` range.
      See Also:
        `ClusterMetrics.getCurrentCpuLoad()`

    - #### avgCpuLoad

          public double avgCpuLoad()

      Returns:
        Average of CPU load value in `[0, 1]` range.
      See Also:
        `ClusterMetrics.getAverageCpuLoad()`

    - #### curGcCpuLoad

          public double curGcCpuLoad()

      Returns:
        Average time spent in CG since the last update.
      See Also:
        `ClusterMetrics.getCurrentGcCpuLoad()`

    - #### heapMemoryInit

          public long heapMemoryInit()

      Returns:
        The initial size of memory in bytes; `-1` if undefined.
      See Also:
        `ClusterMetrics.getHeapMemoryInitialized()`

    - #### heapMemoryUsed

          public long heapMemoryUsed()

      Returns:
        Heap memory used.
      See Also:
        `ClusterMetrics.getHeapMemoryUsed()`

    - #### heapMemoryCommited

          public long heapMemoryCommited()

      Returns:
        Heap memory commited.
      See Also:
        `ClusterMetrics.getHeapMemoryCommitted()`

    - #### heapMemoryMax

          public long heapMemoryMax()

      Returns:
        The maximum amount of memory in bytes; `-1` if undefined.
      See Also:
        `ClusterMetrics.getHeapMemoryMaximum()`

    - #### heapMemoryTotal

          public long heapMemoryTotal()

      Returns:
        Heap memory total.
      See Also:
        `ClusterMetrics.getHeapMemoryTotal()`

    - #### nonheapMemoryInit

          public long nonheapMemoryInit()

      Returns:
        The initial size of memory in bytes; `-1` if undefined.
      See Also:
        `ClusterMetrics.getNonHeapMemoryInitialized()`

    - #### nonheapMemoryUsed

          public long nonheapMemoryUsed()

      Returns:
        Nonheap memory used.
      See Also:
        `ClusterMetrics.getNonHeapMemoryUsed()`

    - #### nonheapMemoryCommited

          public long nonheapMemoryCommited()

      Returns:
        Nonheap memory commited.
      See Also:
        `ClusterMetrics.getNonHeapMemoryCommitted()`

    - #### nonheapMemoryMax

          public long nonheapMemoryMax()

      Returns:
        The maximum amount of memory in bytes; `-1` if undefined.
      See Also:
        `ClusterMetrics.getNonHeapMemoryMaximum()`

    - #### nonheapMemoryTotal

          public long nonheapMemoryTotal()

      Returns:
        The total amount of memory in bytes; `-1` if undefined.
      See Also:
        `ClusterMetrics.getNonHeapMemoryTotal()`

    - #### uptime

          public long uptime()

      Returns:
        Uptime of the JVM in milliseconds.
      See Also:
        `ClusterMetrics.getUpTime()`

    - #### jvmStartTime

          public Date jvmStartTime()

      Returns:
        Start time of the JVM in milliseconds.
      See Also:
        `ClusterMetrics.getStartTime()`

    - #### nodeStartTime

          public Date nodeStartTime()

      Returns:
        Node start time.
      See Also:
        `ClusterMetrics.getNodeStartTime()`

    - #### lastDataVersion

          public long lastDataVersion()

      Returns:
        Last data version.
      See Also:
        `ClusterMetrics.getLastDataVersion()`

    - #### curThreadCount

          public int curThreadCount()

      Returns:
        Current thread count.
      See Also:
        `ClusterMetrics.getCurrentThreadCount()`

    - #### maxThreadCount

          public int maxThreadCount()

      Returns:
        Maximum thread count.
      See Also:
        `ClusterMetrics.getMaximumThreadCount()`

    - #### totalThreadCount

          public long totalThreadCount()

      Returns:
        Total started thread count.
      See Also:
        `ClusterMetrics.getTotalStartedThreadCount()`

    - #### curDaemonThreadCount

          public int curDaemonThreadCount()

      Returns:
        Current daemon thread count.
      See Also:
        `ClusterMetrics.getCurrentDaemonThreadCount()`

    - #### sentMessagesCount

          public int sentMessagesCount()

      Returns:
        Sent messages count.
      See Also:
        `ClusterMetrics.getSentMessagesCount()`

    - #### sentBytesCount

          public long sentBytesCount()

      Returns:
        Sent bytes count.
      See Also:
        `ClusterMetrics.getSentBytesCount()`

    - #### receivedMessagesCount

          public int receivedMessagesCount()

      Returns:
        Received messages count.
      See Also:
        `ClusterMetrics.getReceivedMessagesCount()`

    - #### receivedBytesCount

          public long receivedBytesCount()

      Returns:
        Received bytes count.
      See Also:
        `ClusterMetrics.getReceivedBytesCount()`

    - #### outboundMessagesQueue

          public int outboundMessagesQueue()

      Returns:
        Outbound messages queue size.
      See Also:
        `ClusterMetrics.getOutboundMessagesQueueSize()`